Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.jzos.sample.fields
Class Smf83Product

    java.lang.Object
      com.ibm.jzos.sample.fields.Smf83Product

    public class Smf83Product

extends java.lang.Object

Maps a Product/Subsystem section of SMF record 83 (RACF Security information). This code (excluding these notes) was generated using `com.ibm.jzos.recordgen.asm.RecordClassGenerator` using the following JCL:

    //ASSEMBLE EXEC ASMAC,PARM='ADATA,LIST,NOTERM,NODECK,NOOBJECT'
    //C.SYSIN DD *
          IFASMFR 83
          END
    //C.SYSADATA DD DSN=&&ADATA,DISP=(NEW,PASS),
    //           SPACE=(CYL,(3,1))
    //*
    //JAVA EXEC PROC=EXJZOSVM,VERSION='50'
    //MAINARGS DD *
    com.ibm.jzos.recordgen.asm.RecordClassGenerator
      section=SMF83PSS
      bufoffset=true
      package=com.ibm.jzos.sample.fields
      class=Smf83Product
    //SYSADATA DD DSN=&&ADATA,DISP=(OLD,DELETE)
    //STDOUT DD PATH='/home/user/Smf83Product.java',
    //          PATHOPTS=(OWRONLY,OCREAT),
    //          PATHMODE=SIRWXU
    //STDENV DD *
    ...

See Also:
  `for a class that glues together the components of a SMF 83 record.`

Field Summary
`protected int` | `bufOffset`
`protected byte[]` | `bytes`
`protected static AssemblerDatatypeFactory` | `factory`
`protected static StringField` | `SMF83DF2` SMF83DF2 DS CL8 FIELDS IN FIXED RECORDS SECTION THAT ARE @D6A
`protected static StringField` | `SMF83PNM` SMF83PNM DS CL4 PRODUCT NAME - RACF @D6A
`static int` | `SMF83PSS`
`protected static StringField` | `SMF83RVN`

Constructor Summary
`Smf83Product(byte[] buffer, int bufOffset)`

Method Summary
`java.lang.String` | `getSmf83df2()`
`java.lang.String` | `getSmf83pnm()`
`java.lang.String` | `getSmf83rvn()`
`void` | `setSmf83df2(java.lang.String smf83df2)`
`void` | `setSmf83pnm(java.lang.String smf83pnm)`
`void` | `setSmf83rvn(java.lang.String smf83rvn)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### factory

    protected static AssemblerDatatypeFactory factory

### SMF83PSS

    public static int SMF83PSS

### SMF83DF2

    protected static StringField SMF83DF2

  SMF83DF2 DS CL8 FIELDS IN FIXED RECORDS SECTION THAT ARE @D6A

### SMF83RVN

    protected static StringField SMF83RVN

### SMF83PNM

    protected static StringField SMF83PNM

  SMF83PNM DS CL4 PRODUCT NAME - RACF @D6A

### bytes

    protected byte[] bytes

### bufOffset

    protected int bufOffset

Constructor Detail

### Smf83Product

    public Smf83Product(byte[] buffer,
                        int bufOffset)

Method Detail

### getSmf83df2

    public java.lang.String getSmf83df2()

### setSmf83df2

    public void setSmf83df2(java.lang.String smf83df2)

### getSmf83rvn

    public java.lang.String getSmf83rvn()

### setSmf83rvn

    public void setSmf83rvn(java.lang.String smf83rvn)

### getSmf83pnm

    public java.lang.String getSmf83pnm()

### setSmf83pnm

    public void setSmf83pnm(java.lang.String smf83pnm)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD